package cn.timer.api.dto.insure;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * @Description TODO
 * @Author wgd
 * @Date 2022/3/7 18:15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InsureDto {
    private String id;
    private String orgCode;/*企业id*/
    private String companyName;/*用工单位实际工作单位*/
    private String policyDateStart;
    private String policyDateEnd;
    private Integer type;/*类型 1是新增 3是替换*/
    private String productId;
    private List<PlansDto> plans;
//    private String benefitBasicPlan;/*方案名称*/
    /*原为方案名称，2022/09/26改为使用insure_product_plan表的id*/
    private Integer benefitBasicPlan;
    private String benefitOccupationCategory;
    private String tricycleFrameNumber;
    private String[] oldIds;
    private String[] userIds;
    private Double totalPrice;
    private MultipartFile file;
    private Integer limit =0;/*代表是单独替换*/
    private String userName;
    private String idCardNo;
    private String reason;/*批改原因*/
    private Integer payType=1;/*支付方式 默认是在线支付*/
//    private String
}
